<%-- page_index tag --%>
<%@ tag pageEncoding="UTF-8" body-content="empty"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ taglib uri="http://www.jasminesoft.co.jp/jfc" prefix="jfc" %>
<%@ taglib tagdir="/WEB-INF/tags" prefix="tags" %>
<fmt:setBundle basename="jfcapp"/>

<%@ attribute name="current" required="true" type="java.lang.Integer" %> <%-- __jfc_result.current --%>
<%@ attribute name="size_per_page" required="true" type="java.lang.Integer" %> <%-- __jfc_size_per_page --%>
<%@ attribute name="size" required="true" type="java.lang.Integer" %> <%-- __jfc_result.size --%>
<%@ attribute name="url" required="true" %>
<%@ attribute name="isMobile" type="java.lang.Boolean" %>

<div align="center" class="page_index">
<%
  Integer _current = (Integer)jspContext.getAttribute("current");
  Integer _size_per_page = (Integer)jspContext.getAttribute("size_per_page");
  Integer _size = (Integer)jspContext.getAttribute("size");
  String _url = (String)jspContext.getAttribute("url");

  int __current = (_current != null) ? _current.intValue() : 0;
  int __size_per_page = (_size_per_page != null) ? _size_per_page.intValue() : 0;
  int __size = (_size != null) ? _size.intValue() : 0;

  //System.out.println("current="+__current);
  //System.out.println("size_per_apge="+__size_per_page);
  //System.out.println("size="+__size);

  int link_from = 0;
  if (__size_per_page > 0) {
    int _tmp_current = __current - (__size_per_page * 10);
    while (true) {
      _tmp_current -=  __size_per_page;
      if (_tmp_current < 0)
        break;
      link_from += __size_per_page;
    }
  }
  int link_to = Math.min(__size, link_from + __size_per_page * 20);

  //System.out.println("link_from="+link_from);
  //System.out.println("link_to="+link_to);
  //System.out.println("__size_per_page="+__size_per_page);

  if (link_to > (link_from + __size_per_page)) {
    if (link_from > 0) {
%>
...
<%
    }
    String set_color_id = null;
    boolean checkCurrentPage = false;
    boolean selectableMode = false;
    String __jfc_use_cb_value = request.getParameter("__jfc_use_cb");
    java.util.Set<String> selectIdSet = (java.util.Set<String>)request.getAttribute(jp.jasminesoft.jfc.controller.DbShowListSelectableBaseController.SelectIdSetRequestName);// 画面に表示されているデータを一括処理の対象とする
    String selectMode = (String)request.getAttribute(jp.jasminesoft.jfc.controller.DbShowListSelectableAllBaseController.selectModeAppmapName);// 全データを一括処理の対象とする
//System.out.println("selectIdSet="+selectIdSet);
//System.out.println("selectMode="+selectMode);
//System.out.println("__jfc_use_cb_value="+__jfc_use_cb_value);
//System.out.println("url="+_url);
    if (selectIdSet != null && selectIdSet.size() >= 0 ||
        selectMode != null && selectMode.length() > 0 && !_url.startsWith("searchList") ||
        __jfc_use_cb_value != null && __jfc_use_cb_value.length() > 0) {
      selectableMode = true;
    }
    for (int i=link_from; i<link_to; i+=__size_per_page) {
      String _value = Integer.toString((i / __size_per_page) + 1);
      String _style = "";
      if (_url != null && (_url.startsWith("updateList") || _url.startsWith("showListJfcsuspendworkstate.do")) || selectableMode) {
        if (!checkCurrentPage && __current < (i+__size_per_page)) {
          set_color_id = "page_index_" + _value;
          checkCurrentPage = true;
        }
%>
<button id="page_index_<%= _value %>" name="page_index_<%= _value %>" data-dojo-type="wagby/Button" type="button" onClick="if(clickedMenu) {return false;} clickedMenu=true;doSubmitForm(this.valueNode.form,'action_Jump_<%= i %>');" ><%= _value %></button>
<%
      } else {
        // for showList
        if (!checkCurrentPage && __current < (i+__size_per_page)) {
          _style = "style=\"background-color: #CCCCFF;\"";
          checkCurrentPage = true;
        }
%>

<c:choose>
<c:when test="${!isMobile}">
<a href="${url}?action_Jump_<%= i %>=" <%= _style %> onClick="if(clickedMenu) {return false;} clickedMenu=true;changeSizePerPageComboOff();"><%= _value %></a>
</c:when>
<c:otherwise>
<a href="javascript:void(0);" <%= _style %> onClick="if(clickedMenu) {return false;} clickedMenu=true;var f=document.forms['pagelinkForm'];f.action='${url}?action_Jump_<%= i %>=';f.submit();"><%= _value %></a>
</c:otherwise>
</c:choose>
<%
        if (i < (link_to - __size_per_page)) {
%>
|
<%
        }
      }
    }
    if (__size > link_to) {
%>
...
<%
    }
    if (set_color_id != null) { %>
<script language="JavaScript">
require(['dojo/dom', 'dojo/dom-style', "dojo/ready"], function(dom, domStyle, ready) {
  ready(function() {
    var curbutton = dojo.byId("<%= set_color_id %>");
    if (curbutton) {
      domStyle.set(curbutton, "background", "orange");
    }
  });
})
</script>
<% }
  }
%>
</div>
<c:if test="${isMobile}">
<form name="pagelinkForm" method="post" target="_self">
</form>
</c:if>
