<%@ page pageEncoding="UTF-8" %>
<fmt:setBundle basename="jfcapp"/>
<table width="100%">
  <tr align="center">
    <td class="display_resultcount">
      <c:choose>
        <c:when test="${__jfc_result.size > 0}">
          <fmt:message key="__jfc_common.search.status">
            <fmt:param value="${__jfc_result.size}"/>
            <fmt:param value="${__jfc_result.current}"/>
            <fmt:param value="${__jfc_result.next}"/>
          </fmt:message>
        </c:when>
        <c:when test="${__jfc_result.size == 0}">
          <fmt:message key="__jfc_common.search.notfound"/>
        </c:when>
        <c:otherwise>
          <fmt:message key="__jfc_common.search.action"/>
        </c:otherwise>
      </c:choose>
    </td>
  </tr>
</table>
<form id="conditionJfcsuspendworkstateCp" name="conditionJfcsuspendworkstateCp"
  action="showListJfcsuspendworkstate.do" method="post" onSubmit="return doSubmit(this);">
  <input type="hidden" name="SENDACTION"/>
  <input type="hidden" name="sessionId" value="<jfc:MD5Hash/>"/>
  <c:import url="jfcsuspendworkstate/conditionJfcsuspendworkstateCp.jsp"/>
</form>
<form id="showListjfcsuspendworkstate_lp" name="showListjfcsuspendworkstate_lp"
  action="showListJfcsuspendworkstate.do" method="post" onSubmit="buttonOff(); return true;">
  <input type="hidden" name="SENDACTION"/>
  <input type="hidden" name="sessionId" value="<jfc:MD5Hash/>"/>
  <c:if test="${__jfc_result.size > 0}">
    <c:choose>
      <c:when test="${__jfc_result.prevPage == true}">
        <c:if test="${__jfc_result.size < 100000}">
          <button type="submit" name="btnFirst" dojoType="dijit.form.Button" onClick="this.valueNode.form.SENDACTION.name='action_First'"><fmt:message key="__jfc_common.link.navigation.first"/></button>
        </c:if>
        <button type="submit" name="btnPrev" dojoType="dijit.form.Button" onClick="this.valueNode.form.SENDACTION.name='action_Prev'"><fmt:message key="__jfc_common.displaycalendar.prev"/></button>
      </c:when>
      <c:otherwise>
        <c:if test="${__jfc_result.size < 100000}">
          <button type="button" name="btnFirst" disabled="disabled" dojoType="dijit.form.Button"><fmt:message key="__jfc_common.link.navigation.first"/></button>
        </c:if>
        <button type="button" name="btnPrev" disabled="disabled" dojoType="dijit.form.Button"><fmt:message key="__jfc_common.displaycalendar.prev"/></button>
      </c:otherwise>
    </c:choose>
    <c:choose>
      <c:when test="${__jfc_result.nextPage == true}">
        <button type="submit" name="btnNext" dojoType="dijit.form.Button" onClick="this.valueNode.form.SENDACTION.name='action_Next'"><fmt:message key="__jfc_common.submenu.next"/></button>
        <c:if test="${__jfc_result.size < 100000}">
          <button type="submit" name="btnLast" dojoType="dijit.form.Button" onClick="this.valueNode.form.SENDACTION.name='action_Last'"><fmt:message key="__jfc_common.link.navigation.last"/></button>
        </c:if>
      </c:when>
      <c:otherwise>
        <button type="button" name="btnNext" disabled="disabled" dojoType="dijit.form.Button"><fmt:message key="__jfc_common.submenu.next"/></button>
        <c:if test="${__jfc_result.size < 100000}">
          <button type="button" name="btnLast" disabled="disabled" dojoType="dijit.form.Button"><fmt:message key="__jfc_common.link.navigation.last"/></button>
        </c:if>
      </c:otherwise>
    </c:choose>
  </c:if>
<%-- ### CUSTOMIZE START ### --%>
<c:set var="isEnableAllAdmit" value="false"/>
<c:choose>
  <c:when test="${jfc:getControlType2(pageContext.request,'jfcsuspendworkstate_c','jfcsuspendworkstate_cp','suspendparticipant_username') != 'Hidden'}">
    <%-- 検索条件の処理保留者とログオンユーザが同じ場合のみ申請できる --%>
    <c:forEach var="c" varStatus="__pos" items="${jfcsuspendworkstate_cp.suspendparticipantUsername}">
      <c:if test="${c.choose == 'true'}">
        <c:set var="c_username" value="${c.id}"/>
      </c:if>
    </c:forEach>
    <c:if test="${c_username == __jfc_user.username}">
      <c:set var="isEnableAllAdmit" value="true"/>
    </c:if>
  </c:when>
  <c:otherwise>
    <%-- 検索条件の処理保留者の閲覧権限が無い場合は無条件に申請可 --%>
    <c:set var="isEnableAllAdmit" value="true"/>
  </c:otherwise>
</c:choose>

<c:if test="${isEnableAllAdmit == 'true'}">
<c:if test="${__jfc_result.size > 0}">
<%-- ### CUSTOMIZE END   ### --%>
  <table class="action_table">
<%-- ### COMMENT OUT START ### --
    <tr>
      <td class="action_field">
      <div style="float: left;">
        <c:if test="${__jfc_result.size > 0}">
        <jfc:ifLogon permclassname="jp.jasminesoft.jfc.JFCAppPermission"
          permname="jfcsuspendworkstate"
          permactions="delete">
                  <button dojoType="dijit.form.Button" type="button" name="btnDeleteAll" onClick="var ret = doConfirm(this, '<fmt:message key="__jfc_link.showListJfcsuspendworkstate.confirm"/>');if (ret) { this.valueNode.form.SENDACTION.name='action_DeleteAll';this.valueNode.form.submit(); } else return false;" ><fmt:message key="__jfc_link.showListJfcsuspendworkstate.button.DeleteAll"/></button>
        </jfc:ifLogon>
        </c:if>
      </div>
    </td></tr>
  -- ### COMMENT OUT END   ### --%>
<%-- ### CUSTOMIZE START ### --%>
    <tr>
      <th class="table_title" colspan="2">
        <fmt:message key="__jfc_common.Jfcsuspendworkstate.label.ProcessAll"/>
      </th>
    </tr>
    <tr>
      <th class="display_label" width="25%">
        <fmt:message key="__jfc_common.Jfcsuspendworkstate.label.comment"/>
      </th>
      <td width="75%" align="left" valign="top" class="display_field_noalign">
          <textarea name="comment" rows="4" cols="80"></textarea>
      </td>
    </tr>
    <tr>
      <td colspan="2" class="button_field">
        <button dojoType="dijit.form.Button" type="button" name="btnProcessAllAdmit" onClick="var form = this.valueNode.form;showConfirmDialog('<fmt:message key="__jfc_common.Jfcsuspendworkstate.processAll.confirm"/>', function() { form.SENDACTION.name='action_ProcessAllAdmit';form.submit(); });"><fmt:message key="__jfc_common.workflow.Admit"/></button>
        <button dojoType="dijit.form.Button" type="button" name="btnProcessAllBack" onClick="var form = this.valueNode.form;showConfirmDialog('<fmt:message key="__jfc_common.Jfcsuspendworkstate.processAllBack.confirm"/>', function() { form.SENDACTION.name='action_ProcessAllBack';form.submit(); });"><fmt:message key="__jfc_common.workflow.Back"/></button>
        <button dojoType="dijit.form.Button" type="button" name="btnProcessAllReject" onClick="var form = this.valueNode.form;showConfirmDialog('<fmt:message key="__jfc_common.Jfcsuspendworkstate.processAllReject.confirm"/>', function() { form.SENDACTION.name='action_ProcessAllReject';form.submit(); });"><fmt:message key="__jfc_common.workflow.Reject"/></button>
      </td>
    </tr>
<%-- ### CUSTOMIZE END   ### --%>
  </table>
<%-- ### CUSTOMIZE START ### --%>
</c:if>
</c:if>
<%-- ### CUSTOMIZE END   ### --%>
  <c:import url="jfcsuspendworkstate/showListJfcsuspendworkstateLp.jsp"/>
  <% try { %><tags:page_index current="${__jfc_result.current}" size_per_page="${requestScope.__jfc_size_per_page}" size="${__jfc_result.size}" url="showListJfcsuspendworkstate.do"/><% } catch (Exception e) { e.printStackTrace(); } %>
  <div class="display_pagesize" align="center">
    <label for="__jfc_size_per_page"><fmt:message key="__jfc_common.displaypagesize.defaultlabel"/></label>
      <c:set var="cond" value="10,30,50"/>
      <c:set var="size" scope="request">
        <c:out value="${__jfc_size_per_page}" default="10"/>
      </c:set>
      <input type="hidden" name="__jfc_size_per_page"/>
      <select data-dojo-type="wagby/Select" name="__jfc_size_per_page0" onChange="var form = this.valueNode.form; form.SENDACTION.name='action_SizePerPage'; form.__jfc_size_per_page.value=this.get('value'); buttonOff(); form.submit();">
      <c:forEach var="c" items="${cond}">
        <c:choose>
          <c:when test="${c == size}">
            <c:set var="selected" value="selected=selected"/>
          </c:when>
          <c:otherwise>
            <c:set var="selected" value=""/>
          </c:otherwise>
        </c:choose>
        <option value="${c}" ${selected}>${c}</option>
      </c:forEach>
      </select>
  </div>
</form> <!-- force close -->
